### Signal

# Gtk Text::insert-at-cursor

since: 4.0

#### Declaration

    void
    insert_at_cursor (
      GtkText* self,
      gchar* string,
      gpointer user_data
    )

#### Description [src]

Emitted when the user initiates the insertion of a fixed string at the cursor.

This is a keybinding signal.

This signal has no default bindings.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 4.0

#### Parameters

`string`

  Type: `gchar*`

  The string to insert.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.